> ## Documentation Index
> Fetch the complete documentation index at: https://docs.buena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Voice Clone

> Update voice clone settings and metadata

Update an existing voice clone's settings, name, or description. This allows you to fine-tune voice generation parameters and organize your voice clones.

<Note>Requires the `voice:update` permission.</Note>

## Request

<ParamField path="voiceId" type="string" required>
  The unique identifier of the voice clone to update
</ParamField>

<ParamField header="x-api-key" type="string" required>
  Your API key with `voice:update` permission
</ParamField>

<ParamField header="Content-Type" type="string" required>
  Must be `application/json`
</ParamField>

### Body Parameters

<ParamField body="name" type="string">
  Updated name for the voice clone
</ParamField>

<ParamField body="description" type="string">
  Updated description of the voice clone
</ParamField>

<ParamField body="settings" type="object">
  Voice generation settings to update

  <Expandable title="Voice Settings">
    <ParamField body="stability" type="number">
      Voice stability (0.0-1.0). Higher values = more consistent but less
      expressive
    </ParamField>

    <ParamField body="clarity" type="number">
      Voice clarity and similarity boost (0.0-1.0)
    </ParamField>

    <ParamField body="use_speaker_boost" type="boolean">
      Enhance speaker similarity
    </ParamField>
  </Expandable>
</ParamField>

## Examples

### Update Voice Settings

<CodeGroup>
  ```bash cURL theme={null}
  curl -X PUT "https://api.buena.ai/api/v2/voice-clones/voice_abc123" \
    -H "x-api-key: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Professional Sales Voice",
      "description": "Optimized for B2B outreach campaigns",
      "settings": {
        "stability": 0.7,
        "clarity": 0.9,
        "use_speaker_boost": true
      }
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.buena.ai/api/v2/voice-clones/voice_abc123",
    {
      method: "PUT",
      headers: {
        "x-api-key": "YOUR_API_KEY",
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        name: "Professional Sales Voice",
        description: "Optimized for B2B outreach campaigns",
        settings: {
          stability: 0.7,
          clarity: 0.9,
          use_speaker_boost: true,
        },
      }),
    }
  );

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  response = requests.put(
      'https://api.buena.ai/api/v2/voice-clones/voice_abc123',
      headers={
          'x-api-key': 'YOUR_API_KEY',
          'Content-Type': 'application/json'
      },
      json={
          'name': 'Professional Sales Voice',
          'description': 'Optimized for B2B outreach campaigns',
          'settings': {
              'stability': 0.7,
              'clarity': 0.9,
              'use_speaker_boost': True
          }
      }
  )

  print(response.json())
  ```
</CodeGroup>

## Response

<ResponseField name="success" type="boolean">
  Always `true` for successful requests
</ResponseField>

<ResponseField name="data" type="object">
  The updated voice clone information

  <Expandable title="Voice Clone Object">
    <ResponseField name="id" type="string">
      Unique voice clone identifier
    </ResponseField>

    <ResponseField name="name" type="string">
      Updated name for the voice clone
    </ResponseField>

    <ResponseField name="description" type="string">
      Updated description of the voice clone
    </ResponseField>

    <ResponseField name="settings" type="object">
      Updated voice generation settings
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      ISO 8601 timestamp when the voice clone was last updated
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "voice_abc123",
      "name": "Professional Sales Voice",
      "description": "Optimized for B2B outreach campaigns",
      "status": "ready",
      "settings": {
        "stability": 0.7,
        "clarity": 0.9,
        "use_speaker_boost": true
      },
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-20T15:30:00Z"
    }
  }
  ```
</ResponseExample>

## Next Steps

<CardGroup cols={2}>
  <Card title="Test Changes" icon="play" href="/api-reference/voice/generate-preview">
    Generate preview with new settings
  </Card>

  <Card title="List Voice Clones" icon="list" href="/api-reference/voice/list-clones">
    View all your voice clones
  </Card>

  <Card title="LinkedIn Voice Messages" icon="linkedin" href="/api-reference/linkedin/schedule-action">
    Use updated voice in campaigns
  </Card>

  <Card title="Voice Clone Guide" icon="book" href="/guides/voice-cloning">
    Learn optimization best practices
  </Card>
</CardGroup>

{" "}
